Subject: Re: [PATCH core-packages-team] Update Hurd and Mach

From: [email-masked]
Date: Sat, 10 May 2025 10:00:09 +0200 (CEST)

Hello Janneke,

Attached a patch to relax gcc-14 for rumpkernel for core-packages-team. It might be not be needed with the 20250111 tag but I have not found the patience to look into updating it.

It overwrites HOST_CFLAGS which are -O by default. Let me know if you want to add the -Wno-implicit-function-declaration instead of replacing.
May 6, 2025, 15:23 by [email-masked]:

> Hi Janneke,
>
> May 6, 2025, 13:16 by [email-masked]:
>
>>
>> Hmm, any idea why adding that flag has become necessary?  Should that
>> maybe be part of this patch set then?  If so, you can send a "fixup!" or
>> "squash!" commit.
>>
> The -Wno-implicit-function-declaration is for rumpkernel and unrelated to hurd/mach.
> I have just started trying to send some of the patches I have been sitting on for a while.
>
> Here is the full error:
> /tmp/guix-build-rumpkernel-0-20211031-0.f1ffd64.drv-0/source/> buildrump.sh/src/tools/sed/../../usr.bin/sed/process.c <http://buildrump.sh/src/tools/sed/../../usr.bin/sed/process.c>> : In function 'lputs':
> /tmp/guix-build-rumpkernel-0-20211031-0.f1ffd64.drv-0/source/> buildrump.sh/src/tools/sed/../../usr.bin/sed/process.c:636:41 <http://buildrump.sh/src/tools/sed/../../usr.bin/sed/process.c:636:41>> : error: implicit declaration of function 'wcwidth' [-Wimplicit-function-declaration]
>   636 |                         width = (size_t)wcwidth(wc);
>
>
> This is caused by using gcc-14 for the HOST_CC and adding gcc-14 as a native-input reproduces the issue on the master branch. Until now the HOST_CC was gcc-11 and only the CROSS_CC has been gcc-14.
>
> In my current checkout I have "fixed" it by adding
>  -V HOST_CFLAGS=-Wno-implicit-function-declaration to the build.sh invocation to silence the warning.
>
> I also saw that rumpkernel has a 20250111 tag in the debian repository but struggled adapting the build system to the new version.
>
>
>

>From 70d053449042e58a01f7139ae50e487a24a0d133 Mon Sep 17 00:00:00 2001
Message-ID: <[email-masked]>
From: Yelninei <[email-masked]>
Date: Fri, 9 May 2025 08:01:19 +0000
Subject: [PATCH] gnu: rumpkernel: Fix build with gcc-14.

* gnu/packages/hurd.scm (rumpkernel): Add -Wno-implicit-function-declaration
for the HOST_CC

Change-Id: I4e86cd9900b56a904190e217c21bcfa279c12a5a
---
 gnu/packages/hurd.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/packages/hurd.scm b/gnu/packages/hurd.scm
index 4794c8c376..39bb0629bc 100644
--- a/gnu/packages/hurd.scm
+++ b/gnu/packages/hurd.scm
@@ -850,6 +850,7 @@ (define-public rumpkernel
                            " -DNO_PCI_MSI_MSIX=yes"
                            " -DNUSB_DMA=1"
                            " -DPAE")
+                     "-V" "HOST_CFLAGS=-Wno-implicit-function-declaration"
                      "-V" (string-append
                            "CWARNFLAGS="
                            " -Wno-error=maybe-uninitialized"

base-commit: def623300f698f53dceed2bfb01f4dd33bf4f56b
prerequisite-patch-id: 98adcfd9380022a37fc5add6f1c79a0c8507f91b
prerequisite-patch-id: 9342961af21699c24b27e7d54042f742e5a759d9
prerequisite-patch-id: 26dc56246897b5ab33b3dfc2aea7bdf494570b1e
prerequisite-patch-id: f8749d6a4cacfd491ced0c1ee521ea9b642687dd
prerequisite-patch-id: ac7a97fb34b0459789df7944ded38acc19cd6553
prerequisite-patch-id: 00fc2b4f0602c78f1f352c801c5b358d6686cfc7
-- 
2.49.0